org.codehaus.plexus.util.dag

## Class CycleDetectedException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.codehaus.plexus.util.dag.CycleDetectedException

- All Implemented Interfaces:
    java.io.Serializable

      public class CycleDetectedException
      extends java.lang.Exception

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CycleDetectedException(java.lang.String message, java.util.List cycle)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `cycleToString()`
    `java.util.List` | `getCycle()`
    `java.lang.String` | `getMessage()`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CycleDetectedException

          public CycleDetectedException(java.lang.String message,
                                        java.util.List cycle)

  - ### Method Detail

    - #### getCycle

          public java.util.List getCycle()

    - #### cycleToString

          public java.lang.String cycleToString()

      Returns:

    - #### getMessage

          public java.lang.String getMessage()

      Overrides:
        `getMessage` in class `java.lang.Throwable`